One Trading API
REST API
WebSocket API
REST API
WebSocket API
  1. Futures
  • Public
    • Currencies
      GET
    • Instruments
      GET
    • Candlesticks
      GET
    • Fee Groups
      GET
    • Order Book
      GET
    • Market Ticker
      GET
    • Market Ticker For Instrument
      GET
    • Time
      GET
  • Trading
    • Get Orders
      GET
    • Create Order
      POST
    • Get Order by Client ID
      GET
    • Get Order by Order ID
      GET
    • Balances
      GET
    • Subaccounts
      GET
    • Fees
      GET
    • Get Trades for Order
      GET
    • Get Trade by Trade ID
      GET
    • Get Trades
      GET
    • Cancel All Orders
      DELETE
    • Cancel Order by Order ID
      DELETE
    • Cancel Order by Client ID
      DELETE
    • Get Exotic Orders (TP/SL)
      GET
    • Create Exotic Order (TP/SL)
      POST
    • Update Exotic Order (TP/SL)
      PATCH
    • Cancel Exotic Order (TP/SL)
      DELETE
  • Futures
    • Introduction
    • Funding Rate Methodology
    • Funding Payments
      GET
    • Get Futures Open Positions
      GET
    • Positions
      GET
    • Position Funding Payments
      GET
    • Futures Portfolio Summary
      GET
    • Current Funding Rate
      GET
    • Funding Rate History
      GET
    • Funding Schedule
      GET
    • Funding Rate Settings
      GET
  • Funding
    • Transfer Subaccount Balance
      POST
    • Get Transactions
      GET
    • Get Deposit Addresses
      GET
    • Create Deposit Address
      POST
  1. Futures

Get Futures Open Positions

Developing
GET
https://api.onetrading.com/fast/v1/account/futures/positions
Provides all open futures positions for the authenticated user. It provides detailed information about each position, including size, direction, notional value, realised PnL, and the most recent settlement (profit or loss, mark price and timestamp). Designed for users who want a consolidated view of their active positions, this endpoint ensures that real-time data is available, reflecting the platform’s minute-level settlements.
The settlement fields (last_settlement, last_settlement_timestamp, mark_price) are null when the position has not been settled in the last 2 minutes, e.g. for a newly opened position.
Authentication: Bearer token; any valid API key (no specific scope required). This endpoint is rate-limited.
Unknown query parameters are rejected with 400 UNEXPECTED_PARAMETERS.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

đźź 400Bad Request
đźź 401Unauthorized
đźź 403Forbidden
đźź 429
đź”´500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.onetrading.com/fast/v1/account/futures/positions?instrument_code=BTC_USD_P' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success Example
{
    "positions": [
        {
            "instrument_code": "BTC_USD_P",
            "direction": "LONG",
            "open_volume": "0.00186",
            "open_position": "149.2689804",
            "last_settlement": "0.0461466",
            "mark_price": "80252.14",
            "realised_pnl": "-0.496713",
            "settlement_currency": "USD",
            "last_settlement_timestamp": "2026-01-27T15:50:00.000Z",
            "type": "DATED_FUTURE",
            "contract_expiry_date": "2031-04-20",
            "contract_duration": "5Y"
        }
    ]
}
Previous
Funding Payments
Next
Positions
Built with